# Planned PKGFILE features.

---

### Compression

> Planned for next PKGFILE version.

Currently, compression is not supported, since PKGFILE is an all-in-one solution this is very unpleasant.  
When compression will be implemented, there is a big possibility that the manifest won't be compressed.
This is done to allow servers to easily parse and inspect manifests.  
The compression will likely be versatile in the way that the format will be stated in the header and the pkgr
implementation can work it out by itself.
There will be a default compression format, likely gzip.

### Compact Manifest

> Not planned yet.

Right now, the manifest is an utf-8 blob sandwiched between the header and the archive.  
This also requires a fixed max size for the manifest which is unfavourable.  
In the future, the manifest may turn into a versatile binary blob with no size limitations.