# pkgr
PKGR is the main tool for the packager.

## Commands
### `pkgr install [--bin/--build] <identifier>`
This command will download a package from the repository or the uri provided and install it.
This command can also be used to update a package.

### `pkgr remove <package_name>`
This command will remove a package from the system.

### `pkgr revert <package_name>`
This command will revert a package to the previous version.

### `pkgr download <identifier> <path>`
This command will download a package from the repository or the uri provided into the specified path.

### `pkgr unpack <pkgfile> <output>`
This command will unpack a pkgfile into the specified output directory.

### `pkgr pack <manifest path> <archive path> <output file>`
This command will pack a manifest and archive into a pkgfile.

### `pkgr list [-i]`
This command will list all packages known or installed packages if `-i` is specified.

### `pkgr update`
This command will update all packages.
